POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "f458b735-bc58-43f6-a477-571726d9547b",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "d39d9088-64d1-4897-ac6d-11c5be855788",
"contractItem_ID": "11c214c0-7692-4710-b0a7-c042ffcee0b4",
"departement_ID": "a7d4cab2-6b83-4bc0-805b-1adcc4535bec",
"departmentItem_ID": "ed71f192-ee5e-4c59-8409-5be96a6a95a7",
"iD": "37099e73-cf29-4c1b-b4c0-467ec894c657",
"site_ID": "70fa90ef-80b0-42ab-9003-2e65d7583268",
"siteCustomer_ID": "f4e06a5e-68bc-412c-8dd0-f7869584625a",
"sticker_ID": "a349c953-03d5-4ca2-9f4f-760250da3240"
},
{
"active": true,
"contract_ID": "d39d9088-64d1-4897-ac6d-11c5be855788",
"contractItem_ID": "11c214c0-7692-4710-b0a7-c042ffcee0b4",
"departement_ID": "a7d4cab2-6b83-4bc0-805b-1adcc4535bec",
"departmentItem_ID": "ed71f192-ee5e-4c59-8409-5be96a6a95a7",
"iD": "37099e73-cf29-4c1b-b4c0-467ec894c657",
"site_ID": "70fa90ef-80b0-42ab-9003-2e65d7583268",
"siteCustomer_ID": "f4e06a5e-68bc-412c-8dd0-f7869584625a",
"sticker_ID": "a349c953-03d5-4ca2-9f4f-760250da3240"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "22cfc4f2-5894-40ec-9411-d898231a6a35",
"isStatic": true,
"stickerType_ID": "1a929fd2-711f-4e88-80a5-23f41c11aa46",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "e34fb22a-73bc-43d3-992b-97ecc4051be7",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "89beb623-5893-4950-9a5b-edef28edc257",
"stickerField_ID": "8c4a4e9e-b861-4c88-946a-82c4910716f6",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "22cfc4f2-5894-40ec-9411-d898231a6a35",
"isStatic": true,
"stickerType_ID": "1a929fd2-711f-4e88-80a5-23f41c11aa46",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "e34fb22a-73bc-43d3-992b-97ecc4051be7",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "89beb623-5893-4950-9a5b-edef28edc257",
"stickerField_ID": "8c4a4e9e-b861-4c88-946a-82c4910716f6",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "d4767923-602f-4262-abf0-5b0ff2b1cf78",
"stickerType_ID": "1b590db3-34f2-4366-8059-6e883a145762",
"stickerRelation_IDs": [
"46ea30ec-3e34-46c6-948c-d8bd3aee4ff3",
"042f0faf-96a0-4a59-8e8c-c4849d608d88"
],
"site_ID": "43b86181-bdc7-4471-becd-97bc67495cc9"
}
application/xml
Sample:
text/xml
Sample:
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"fe4f6f30-ab1d-4f31-af07-72f9d5661e98"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">fe4f6f30-ab1d-4f31-af07-72f9d5661e98</guid>